Skip to main content
POST
/
api
/
v1
/
client
/
teams
/
{teamId}
/
verification
/
heartbeat
License Heartbeat
curl --request POST \
  --url https://app.lukittu.com/api/v1/client/teams/{teamId}/verification/heartbeat \
  --header 'Content-Type: application/json' \
  --data '
{
  "licenseKey": "<string>",
  "hardwareIdentifier": "<string>",
  "customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "challenge": "<string>",
  "version": "<string>",
  "branch": "<string>"
}
'
import requests

url = "https://app.lukittu.com/api/v1/client/teams/{teamId}/verification/heartbeat"

payload = {
"licenseKey": "<string>",
"hardwareIdentifier": "<string>",
"customerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"challenge": "<string>",
"version": "<string>",
"branch": "<string>"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
licenseKey: '<string>',
hardwareIdentifier: '<string>',
customerId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
productId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
challenge: '<string>',
version: '<string>',
branch: '<string>'
})
};

fetch('https://app.lukittu.com/api/v1/client/teams/{teamId}/verification/heartbeat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "license": {
      "ipLimit": 5,
      "hwidLimit": 3,
      "expirationType": "NEVER"
    }
  },
  "result": {
    "timestamp": "2023-09-15T14:30:00Z",
    "valid": true,
    "details": "Heartbeat successful",
    "code": "VALID"
  }
}
{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>"
},
"data": {}
}
{
"result": {
"timestamp": "2023-11-07T05:31:56Z",
"valid": false,
"details": "<string>"
},
"data": {}
}

Path Parameters

teamId
string<uuid>
required

Your team's UUID. You can find this value in your team's settings on the Lukittu dashboard. UUID v4 identifier

Body

application/json
licenseKey
string
required

Lukittu license key format: XXXXX-XXXXX-XXXXX-XXXXX-XXXXX where X is an uppercase letter (A-Z) or digit (0-9)

Pattern: ^[A-Z0-9]{5}-[A-Z0-9]{5}-[A-Z0-9]{5}-[A-Z0-9]{5}-[A-Z0-9]{5}$
hardwareIdentifier
string
required

Unique hardware identifier for client device (no spaces allowed)

Required string length: 10 - 1000
Pattern: ^[^\s]+$
customerId
string<uuid>

UUID v4 identifier

productId
string<uuid>

UUID v4 identifier

challenge
string

Client-generated random string for request signing (no spaces allowed)

Maximum string length: 1000
Pattern: ^[^\s]+$
version
string

Software version identifier (no spaces allowed)

Required string length: 3 - 255
Pattern: ^[^\s]+$
branch
string

Product branch name

Required string length: 2 - 255
Pattern: ^[a-zA-Z0-9_-]+$

Response

Successful heartbeat response

data
object
required

Response data

result
object
required